Subject: [bug#51241] [PATCH 0/1] gnu: ragel: Fix build of knot on aarch64-linux.

From: Ludovic Courtès <[email-masked]>
Date: Sun, 19 Dec 2021 23:30:26 +0100

Hi,

Simon South <[email-masked]> skribis:

> Apply a patch backported from Ragel's "ragel-6" branch that allows it to
> reliably generate usable code on systems such as aarch64-linux where the C/C++
> "char" type is unsigned by default, fixing the build of Knot on these systems.
>
> * gnu/packages/patches/ragel-decide-signedness-of-char.patch: New file.
> * gnu/local.mk (dist_patch_DATA): Add it.
> * gnu/packages/ragel.scm (ragel)[source]: Apply it.

Could you check whether this is still needed on current master,
ca. 9b38d9b3b34edb55f7f42b72a611b39e5164cf9f?

‘guix refresh -l ragel’ reports 5K dependents, so we’d need to apply the
patch conditionally for aarch64 in a phase, or something along these
lines.

Thanks,
Ludo’.